# stylelens-index
This is a bl-api-index server.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.1
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import stylelens_index 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import stylelens_index
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import stylelens_index
from stylelens_index.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = stylelens_index.ImageApi()
body = stylelens_index.Image() # Image | Image object that needs to be added to the db.

try:
    # Add a new image
    api_response = api_instance.add_image(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ImageApi->add_image: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://index.stylelens.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ImageApi* | [**add_image**](docs/ImageApi.md#add_image) | **POST** /images | Add a new image
*ImageApi* | [**get_image_by_id**](docs/ImageApi.md#get_image_by_id) | **GET** /images/{imageId} | Get a image


## Documentation For Models

 - [AddImageResponse](docs/AddImageResponse.md)
 - [AddImageResponseData](docs/AddImageResponseData.md)
 - [GetImageResponse](docs/GetImageResponse.md)
 - [Image](docs/Image.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: api_key
- **Location**: HTTP header


## Author

devops@bluehack.net

